Subject: [RFC v2 0/2] net/hsr: Add support for IEC 62439-3 High-availability Seamless Redundancy

From: Arvid Brodin <[email-masked]>
Date: Tue, 3 Jul 2012 23:58:03 +0000

Hi,

This is v2 of this RFC. Background information about this patch and HSR can be found in
the v1 submit: http://www.spinics.net/lists/netdev/msg192817.html.

This patch is now quite useable.

Known major functional problems:
 * Sometimes, when used with slaves that are already up and using IPv6, no packets seem
   to get through. (Possibly a bug in the driver for my slave interfaces - not sure yet.)

Other problems:
 * There are a few FIXMEs that might need attention - except "reset status of slaves",
   these are things I could use some help with.
 * The kernel patch is against linux-next-120330 (so not quite up to date).
 * The iproute patch is against iproute-2.6.35.
 * The code needs cleanup, there are some commented debug printouts and such.

Major changes to v1:
 * Added iproute patch.
 * Fixed lockdep problem.
 * Moved to Generic Netlink for HSR-specific userspace comms.
 * Added userspace Generic Netlink example.
 * Added HSR address substitution (so slaves kan keep their MAC addresses).

Part 1/2 contains the kernel patch (including the userspace example).
Part 2/2 contains the iproute patch (applies to iproute-2.6.35).

(I'm going on holiday on thursday so don't feel hurt if you write me and don't get a
reply. I'll check your messages when I get back early august though!)

-- 
Arvid Brodin | Consultant (Linux)
XDIN AB | Jan Stenbecks Torg 17 | SE-164 40 Kista | Sweden | xdin.com